package org.jboss.security;

package .tmp;

import java.util.ArrayList;
import org.jboss.security.SecurityAssociation;

class ArrayListInheritableLocal extends InheritableThreadLocal {
  private ArrayListInheritableLocal() {}
  
  protected Object childValue(Object parentValue) {
    ArrayList list = (ArrayList)parentValue;
    ArrayList copy = null;
    try {
      copy = new ArrayList(list);
    } catch (Throwable t) {
      SecurityAssociation.access$300().debug("Failed to copy parent list, using new list");
      copy = new ArrayList();
    } 
    return copy;
  }
  
  protected Object initialValue() {
    return new ArrayList();
  }
}
